// Main Game loop control

#pragma once

#include <MyLibs.h>
#include <vector>
#include "GameObject.h"
#include "TileExample.h"





enum Directions
{
	Left,
	Right,
	Down

};

using namespace std;
inline float Rand(float a_Range) { return ((float)rand() / RAND_MAX) * a_Range; }

class Game
{
public:
	
	Game();
	~Game();
	
	
	void Update(float DTime, Surface* a_Screen); // called every tick
	bool Init(MyFiles* FileHandler, Input* I); // inits the specific instansiation after Game class is crearted (could be a constructor later)
	void GameInit(void); // init any game managment specific parts
	void DrawMap(float x, float y, Surface* a_Screen);

	
	Surface* m_Screen;
	MyFiles* FileHander; // we will let Game have its own copy of the address of the filehander created when the project started
	Input*	InputHandle; // same for input handler
	
	GameObject* ThePlayer;
	static std::vector<GameObject*> MyObjects; // this will hold all the game objects we need in game?
	static std::vector<Surface*> Tiles; // this will hold all the Tiles we need in game?
	
private:
	
	bool InitDone; // make sure the constuctor sets to false on instansiation
	
	
	
	
	
};


