#include "Player.h"


#define SPEED 2.5f

Player::Player()
{
}

Player::Player(MyFiles* fh) : GameObject()
	
{
	// we can create with this images but lets store the full set
	
	Images[0] = new Surface((char*)"../Assets/brianWalkR_1.png",fh);
	Images[1] = new Surface((char*)"../Assets/brianWalkR_2.png", fh);
	Images[2] = new Surface((char*)"../Assets/brianWalkR_3.png", fh);
	Images[3] = new Surface((char*)"../Assets/brianWalkR_4.png", fh);
	Images[4] = new Surface((char*)"../Assets/brianWalkL_1.png", fh);
	Images[5] = new Surface((char*)"../Assets/brianWalkL_2.png", fh);
	Images[6] = new Surface((char*)"../Assets/brianWalkL_3.png", fh);
	Images[7] = new Surface((char*)"../Assets/brianWalkL_4.png", fh);

	Images[8] = new Surface((char*)"../Assets/brianclimb_1.png", fh);
	Images[9] = new Surface((char*)"../Assets/brianclimb_2.png", fh);
	Images[10] = new Surface((char*)"../Assets/brianclimb_3.png", fh);
	Images[11] = new Surface((char*)"../Assets/brianclimb_4.png", fh);

	Image = Images[0];

	BaseAnim = AnimIndex = 0;
	

	this->OBJID = this->PLAYER;
}

Player::~Player()
{ // because this class made 12 images we need to delete them
	for (int i = 0 ;i < sizeof(Images); i++)
	{
		delete this->Images[i];
		this->Images[i] = NULL;
	}
}

// do a simple move syyste
void Player::Update(Game* G)
{
	Input* IH = G->InputHandle; // easier access;


// this is a hard movment coding system, using a base animation value
	if (IH->TestKey(KEY_RIGHT))
		{
			BaseAnim = 0;
			this->Image = Images[BaseAnim+AnimIndex];
			(AnimIndex += 1) &= 3;
			
				this->Xpos += SPEED ;			
		}
	if (IH->TestKey(KEY_LEFT))
		{
			BaseAnim = 4;
			this->Image = Images[BaseAnim + AnimIndex];
			(AnimIndex += 1) &= 3;

			this->Xpos -= SPEED;			
		}

	if (IH->TestKey(KEY_UP))
	{
		BaseAnim = 8;
		this->Image = Images[BaseAnim + AnimIndex];
		(AnimIndex += 1) &= 3;

		this->Ypos -= SPEED;			
	}
	if (IH->TestKey(KEY_DOWN))
	{
		BaseAnim = 8;
		this->Image = Images[BaseAnim + AnimIndex];
		(AnimIndex -= 1) &= 3;
		this->Ypos += SPEED;			
	}
}